# Generated by Django 3.1.7 on 2021-05-03 14:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Kegiatan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Matkul',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=30)),
                ('dosen', models.CharField(max_length=30)),
                ('sks', models.IntegerField()),
                ('deskripsi', models.TextField()),
                ('tahun', models.CharField(max_length=30)),
                ('ruangKelas', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Peserta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=30)),
                ('kegiatan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myWebsite.kegiatan')),
            ],
            options={
                'ordering': ['nama'],
            },
        ),
    ]
